Package com.mckoi.database

## Class ViewDef

- java.lang.Object
- - com.mckoi.database.ViewDef

    public class ViewDef
    extends java.lang.Object

A ViewDef object is a definition of a view stored in the database. It is an object that can be easily serialized and deserialized to/from the system view table. It contains the DataTableDef that describes the characteristics of the view result, and a QueryPlanNode that describes how the view can be constructed.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`ViewDef​(DataTableDef view_def, QueryPlanNode query_node)` Constructs the ViewDef object.

### Method Summary

All Methods Instance Methods Concrete Methods
`DataTableDef` `getDataTableDef()` Returns the DataTableDef for this view.
`QueryPlanNode` `getQueryPlanNode()` Returns the QueryPlanNode for this view.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewDef

    public ViewDef​(DataTableDef view_def,
                   QueryPlanNode query_node)

Constructs the ViewDef object.

### Method Detail

#### getDataTableDef

    public DataTableDef getDataTableDef()

Returns the DataTableDef for this view.

#### getQueryPlanNode

    public QueryPlanNode getQueryPlanNode()

Returns the QueryPlanNode for this view.